<?

 /*SCRIPT PARA MANTENIMIENTO DE GRADOS ESCOLARES */

 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/

  include("../fnc.php");

  enlinea_a();



  if(!$tipo_trn){

    alert("Parámetros incorrectos","javascript:history.go(-1)");

  }



  switch($tipo_trn){

   case "Add":

   if(!$txtgrado){

    alert("Debe ingresar un nombre para el grado escolar","javascript:history.go(-1)");

   }

   if(!$txtnivel){alert("Debe seleccionar un nivel","javascript:history.go(-1)");}

    $qver=mysql_query("select * from grados where grado = '$txtgrado' and jornada = '$txtjornada' and nivel='$txtnivel'");

    if(mysql_num_rows($qver)>0){

      $iver=mysql_fetch_array($qver);

      alert("ERROR: El grado que ingresó ya existe\\nGrado: {$iver[grado]}","javascript:history.go(-1)");

    }

    if(!$m1){$m1="N";}

    if(!$m2){$m2="N";}

    if(!$m3){$m3="N";}

    if(!$m4){$m4="N";}

    if(!$m5){$m5="N";}

    if(!$m6){$m6="N";}

    if(!$m7){$m7="N";}

    if(!$m8){$m8="N";}

    if(!$m9){$m9="N";}

    if(!$m10){$m10="N";}

    if(!$m11){$m11="N";}

    if(!$m12){$m12="N";}



                //$txtgrado=strtoupper($txtgrado);

                $sql="insert into
                      grados
                      set grado='$txtgrado',
                      nivel='$txtnivel',
                      jornada=$txtjornada,
                      vinscripcion='$txtvinscripcion',
                      vmensualidad='$txtvmensualidad',
                      m1='$m1',
                      m2='$m2',
                      m3='$m3',
                      m4='$m4',
                      m5='$m5',
                      m6='$m6',
                      m7='$m7',
                      m8='$m8',
                      m9='$m9',
                      m10='$m10',
                      m11='$m11',
                      m12='$m12',
                      guia='$txtguia',
                      uniformeh='$txtuniformeh',
                      uniformem='$txtuniformem'";

                 $ins=mysql_query($sql);

                 $idg=enc(mysql_insert_id());

                 if($ins){

                 alert("Grado $txtgrado\\nagregado con éxito","frm_grado_cuotas_v2.php?idgrado=$idg");}else{echo "ERROR: ".mysql_error();}

   break;



   case "Update":

   $idg=$idgrado;

   $idgrado=base64_decode($idgrado);

//   echo $idgrado;

//   exit();

    if(!$txtgrado){

      alert("Debe ingresar un nombre para el grado escolar","javascript:history.go(-1)");

    }



    $qver=mysql_query("select * from grados where id = '$idgrado'");

    if(mysql_num_rows($qver)==0){

      alert("ERROR: El grado no existe","javascript:history.go(-1)");

    }



    if(!$m1){$m1="N";}

    if(!$m2){$m2="N";}

    if(!$m3){$m3="N";}

    if(!$m4){$m4="N";}

    if(!$m5){$m5="N";}

    if(!$m6){$m6="N";}

    if(!$m7){$m7="N";}

    if(!$m8){$m8="N";}

    if(!$m9){$m9="N";}

    if(!$m10){$m10="N";}

    if(!$m11){$m11="N";}

    if(!$m12){$m12="N";}



                $txtgrado=strtoupper($txtgrado);

                $sql="update

                      grados

                      set grado='$txtgrado',

                      nivel='$txtnivel',

                      jornada='$txtjornada',

                      vinscripcion='$txtvinscripcion',

                      vmensualidad='$txtvmensualidad',

                      m1='$m1',

                      m2='$m2',

                      m3='$m3',

                      m4='$m4',

                      m5='$m5',

                      m6='$m6',

                      m7='$m7',

                      m8='$m8',

                      m9='$m9',

                      m10='$m10',

                      m11='$m11',

                      m12='$m12',

                      guia='$txtguia'

                      where id='$idgrado'";



                 $qupd=mysql_query($sql);

                 if($qupd){alert("Grado: $txtgrado\\nactualizado con éxito","frm_grado_v2.php?idgrado=$idg");}else{echo "ERROR: ".mysql_error();}

   break;



   default:

    alert("Parámetros incorrectos","javascript:history.go(-1)");

  }



?>
